NXOpen.UF.So.CreatePointAlongCurve

So.CreatePointAlongCurve()

Refer to UF_SO_create_point_along_curve for documentation.

Signature: CreatePointAlongCurve(objectInPart, updateOption, curve, point1, t, option, flip)

Parameters:
  • objectInPart (Tag) – Tag of object in part
  • updateOption (NXOpen.UF.So.UpdateOption Refer to UF_SO_update_option_e for documentation.) – Update option
  • curve (Tag) – Curve or edge
  • point1 (Tag) – point
  • t (Tag) – Scalar offset along curve
  • option (NXOpen.UF.So.PointAlongCurveOption Refer to UF_SO_point_along_curve_option_e for documentation.) – Absolute/Relative offset option. Can be one of the following enumerated constants: UF_SO_point_along_curve_distance UF_SO_point_along_curve_percent
  • flip (bool) – If flip is set to TRUE, then t = -t
Returns:

Pointer to tag of smart point

Return type:

Tag

License requirements: None